<?php
include ("../jpgraph.php");
include ("../jpgraph_bar.php");

$datay=array(12,26,9,17,31);

// Create the graph. These two calls are always required
$graph = new Graph(310,200,"barcsimex1.png",1,0);	
$graph->SetScale("textlin");
$graph->img->SetMargin(60,30,20,40);
$graph->yaxis->SetTitleMargin(45);
$graph->SetShadow();

// Create a bar pot
$bplot = new BarPlot($datay);

// Create targets for the image maps. One for each column
$targ=array("bar_clsmex1.php","bar_clsmex1.php","bar_clsmex1.php","bar_clsmex1.php","bar_clsmex1.php","bar_clsmex1.php");
$alts=array("val=%d","val=%d","val=%d","val=%d","val=%d","val=%d");
$bplot->SetCSIMTargets($targ,$alts);
$bplot->SetFillColor("orange");

// Use a shadow on the bar graphs (just use the default settings)
$bplot->SetShadow();
$bplot->SetValueFormat("%2.1f");
$bplot->ShowValue();

$graph->Add($bplot);

$graph->title->Set("Image maps barex1");
$graph->xaxis->title->Set("X-title");
$graph->yaxis->title->Set("Y-title");

$graph->title->SetFont(FONT1,FS_BOLD);
$graph->yaxis->title->SetFont(FONT1,FS_BOLD);
$graph->xaxis->title->SetFont(FONT1,FS_BOLD);

// Write the file to the cache
$graph->Stroke();

echo $graph->GetHTMLImageMap("myimagemap");
echo "<img src=\"/jpgcache/barcsimex1.png\" ISMAP USEMAP=\"#myimagemap\" border=0>";
?>
